Method: projects.locations.dataStores.completionSuggestions.import

Mengimpor CompletionSuggestions untuk sebuah DataStore.

Permintaan HTTP

POST https://discoveryengine.googleapis.com/v1/{parent=projects/*/locations/*/dataStores/*}/completionSuggestions:import

URL menggunakan sintaks gRPC Transcoding.

Parameter jalur

Parameter
parent

string

Wajib. Nama resource penyimpanan data induk yang akan mengimpor saran pelengkapan otomatis pelanggan.

Mengikuti pola projects/*/locations/*/collections/*/dataStores/*

Isi permintaan

Isi permintaan memuat data dengan struktur berikut:

Representasi JSON
{
  "errorConfig": {
    object (ImportErrorConfig)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  },
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
Kolom
errorConfig

object (ImportErrorConfig)

Lokasi yang diinginkan untuk error yang terjadi selama Impor.

Sumber saran pelengkapan otomatis. Berikut adalah daftar kolom yang bersifat eksklusif satu sama lain. Maksimal satu kolom akan ditetapkan dalam respons:
inlineSource

object (InlineSource)

Sumber Inline untuk entri saran.

gcsSource

object (GcsSource)

Lokasi Cloud Storage untuk konten input.

bigquerySource

object (BigQuerySource)

Sumber input BigQuery.

Akhir kolom yang saling eksklusif.

Isi respons

Jika berhasil, isi respons akan memuat instance Operation.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.

Izin IAM

Memerlukan izin IAM berikut pada resource parent:

  • discoveryengine.completionSuggestions.import

Untuk mengetahui informasi selengkapnya, lihat dokumentasi IAM.